Bug 223231 - java/openjdk8: add support for aarch64
Summary: java/openjdk8: add support for aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on: 223230
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-24 20:56 UTC by Steve Wills
Modified: 2017-11-02 18:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (java)


Attachments
patch to add support for aarch64 to openjdk8 (2.57 KB, patch)
2017-10-24 20:56 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2017-10-24 20:56:00 UTC
Created attachment 187451 [details]
patch to add support for aarch64 to openjdk8

Please see attached patch.
Comment 1 Jung-uk Kim freebsd_committer 2017-10-25 20:50:20 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2017-11-01 20:24:01 UTC
A commit references this bug:

Author: jkim
Date: Wed Nov  1 20:23:35 UTC 2017
New revision: 453314
URL: https://svnweb.freebsd.org/changeset/ports/453314

Log:
  Add preliminary support for aarch64 with Zero.

  PR:		223231

Changes:
  head/java/openjdk8/Makefile
  head/java/openjdk8/files/patch-hotspot_src_os_bsd_vm_os__bsd.cpp
Comment 3 commit-hook freebsd_committer 2017-11-02 05:30:24 UTC
A commit references this bug:

Author: jkim
Date: Thu Nov  2 05:29:33 UTC 2017
New revision: 453336
URL: https://svnweb.freebsd.org/changeset/ports/453336

Log:
  Add support for aarch64.

  PR:		223231

Changes:
  head/java/bootstrap-openjdk8/Makefile
  head/java/bootstrap-openjdk8/Makefile.update
  head/java/bootstrap-openjdk8/distinfo.aarch64
Comment 4 Jung-uk Kim freebsd_committer 2017-11-02 18:49:56 UTC
Committed (with minor changes), thanks!